Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind
Class GuiceBindingVisitor<T>

    java.lang.Object
      com.google.inject.spi.DefaultBindingTargetVisitor<T,java.lang.Void>
          com.google.gwt.inject.rebind.GuiceBindingVisitor<T>

All Implemented Interfaces:
  BindingScopingVisitor<java.lang.Void>, BindingTargetVisitor<T,java.lang.Void>

    public class GuiceBindingVisitor<T>

extends DefaultBindingTargetVisitor<T,java.lang.Void>
implements BindingScopingVisitor<java.lang.Void>

Gathers information about Guice Bindings and adds the information to a `GinjectorBindings`.

Constructor Summary
`GuiceBindingVisitor(Key<T> targetKey, java.util.List<Message> messages, GinjectorBindings bindingsCollection, BindingFactory bindingFactory)`

Method Summary
`java.lang.Void` | `visit(InstanceBinding<? extends T> instanceBinding)`
`java.lang.Void` | `visit(LinkedKeyBinding<? extends T> linkedKeyBinding)`
`java.lang.Void` | `visit(ProviderInstanceBinding<? extends T> providerInstanceBinding)`
`java.lang.Void` | `visit(ProviderKeyBinding<? extends T> providerKeyBinding)`
`java.lang.Void` | `visit(UntargettedBinding<? extends T> untargettedBinding)`
`java.lang.Void` | `visitEagerSingleton()`
`java.lang.Void` | `visitNoScoping()`
`protected java.lang.Void` | `visitOther(Binding<? extends T> binding)`
`java.lang.Void` | `visitScope(Scope scope)`
`java.lang.Void` | `visitScopeAnnotation(java.lang.Class<? extends java.lang.annotation.Annotation> scopeAnnotation)`

Methods inherited from class com.google.inject.spi.DefaultBindingTargetVisitor
`visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiceBindingVisitor

    public GuiceBindingVisitor(Key<T> targetKey,
                               java.util.List<Message> messages,
                               GinjectorBindings bindingsCollection,
                               BindingFactory bindingFactory)

Method Detail

### visit

    public java.lang.Void visit(ProviderKeyBinding<? extends T> providerKeyBinding)

  Specified by:
    `visit` in interface `BindingTargetVisitor<T,java.lang.Void>`
  Overrides:
    `visit` in class `DefaultBindingTargetVisitor<T,java.lang.Void>`

### visit

    public java.lang.Void visit(ProviderInstanceBinding<? extends T> providerInstanceBinding)

  Specified by:
    `visit` in interface `BindingTargetVisitor<T,java.lang.Void>`
  Overrides:
    `visit` in class `DefaultBindingTargetVisitor<T,java.lang.Void>`

### visit

    public java.lang.Void visit(LinkedKeyBinding<? extends T> linkedKeyBinding)

  Specified by:
    `visit` in interface `BindingTargetVisitor<T,java.lang.Void>`
  Overrides:
    `visit` in class `DefaultBindingTargetVisitor<T,java.lang.Void>`

### visit

    public java.lang.Void visit(InstanceBinding<? extends T> instanceBinding)

  Specified by:
    `visit` in interface `BindingTargetVisitor<T,java.lang.Void>`
  Overrides:
    `visit` in class `DefaultBindingTargetVisitor<T,java.lang.Void>`

### visit

    public java.lang.Void visit(UntargettedBinding<? extends T> untargettedBinding)

  Specified by:
    `visit` in interface `BindingTargetVisitor<T,java.lang.Void>`
  Overrides:
    `visit` in class `DefaultBindingTargetVisitor<T,java.lang.Void>`

### visitOther

    protected java.lang.Void visitOther(Binding<? extends T> binding)

  Overrides:
    `visitOther` in class `DefaultBindingTargetVisitor<T,java.lang.Void>`

### visitEagerSingleton

    public java.lang.Void visitEagerSingleton()

  Specified by:
    `visitEagerSingleton` in interface `BindingScopingVisitor<java.lang.Void>`

### visitScope

    public java.lang.Void visitScope(Scope scope)

  Specified by:
    `visitScope` in interface `BindingScopingVisitor<java.lang.Void>`

### visitScopeAnnotation

    public java.lang.Void visitScopeAnnotation(java.lang.Class<? extends java.lang.annotation.Annotation> scopeAnnotation)

  Specified by:
    `visitScopeAnnotation` in interface `BindingScopingVisitor<java.lang.Void>`

### visitNoScoping

    public java.lang.Void visitNoScoping()

  Specified by:
    `visitNoScoping` in interface `BindingScopingVisitor<java.lang.Void>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD